

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>&lt;no title&gt; &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>&lt;no title&gt;</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/api/posydon.visualization.plot1D.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <span class="target" id="module-posydon.visualization.plot1D"></span><p>Plotting class for 1D (MESA) psygrids.</p>
<p>The 2D visualization plotting class allows to plot 1D tracks of PsyGrid
objects. The PsyGrid object is composed of nD MESA grid run with POSYDON
and post processed with the psygrid object into an h5 file.</p>
<dl class="py class">
<dt id="posydon.visualization.plot1D.plot1D">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.plot1D.</code><code class="sig-name descname">plot1D</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">run</span></em>, <em class="sig-param"><span class="n">x_var_str</span></em>, <em class="sig-param"><span class="n">y_var_str</span></em>, <em class="sig-param"><span class="n">z_var_str</span><span class="o">=</span><span class="default_value">None</span></em>, <em class="sig-param"><span class="n">history</span><span class="o">=</span><span class="default_value">'binary_history'</span></em>, <em class="sig-param"><span class="n">HR</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="n">verbose</span><span class="o">=</span><span class="default_value">False</span></em>, <em class="sig-param"><span class="o">**</span><span class="n">kwargs</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot1D.html#plot1D"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot1D.plot1D" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Plotting class for 1D (MESA) grids.</p>
<p>Read a PsyGrid object and plot a 1D track of x vs y.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>run</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a><em> or </em><em>list of int</em>) – Index or list of indeces of the PsyGrid object you would like to
plot.</p></li>
<li><p><strong>x_var_str</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – String of values to plot on the x axis. Allowed strings are the
one in <cite>psygrid.history.dtype.names</cite> where “history” needs to be
chosen accordingly.</p></li>
<li><p><strong>y_var_str</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a><em> or </em><em>list of str</em>) – String or list of stringvalues to plot on the y axis. Allowed
strings are the one in <cite>psygrid.history.dtype.names</cite> where
“history” needs to be chosen accordingly.</p></li>
<li><p><strong>z_var_str</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – String of values to plot on the z axis (displayed with a color).
Allowed strings are the one in <cite>psygrid.history.dtype.names</cite> where
“history” needs to be chosen accordingly.</p></li>
<li><p><strong>history</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – The x, y, z variables are read from either: “binary_history”,
“history1”, “history2”.</p></li>
<li><p><strong>HR</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a>) – If <cite>True</cite>, an HR diagram will be plotted.</p></li>
<li><p><strong>verbose</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#bool" title="(in Python v3.9)"><em>bool</em></a>) – If <cite>True</cite>, the object reports by printing to standard output.</p></li>
<li><p><strong>**kwargs</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#dict" title="(in Python v3.9)"><em>dict</em></a>) – Dictionary containing extra visualisation options (cf.
<cite>PLOT_PROPERTIES</cite> in <cite>plot_defaults.py</cite>.</p></li>
</ul>
</dd>
</dl>
<dl class="py method">
<dt id="posydon.visualization.plot1D.plot1D.HR_diagram">
<code class="sig-name descname">HR_diagram</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot1D.html#plot1D.HR_diagram"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot1D.plot1D.HR_diagram" title="Permalink to this definition">¶</a></dt>
<dd><p>Plot and HR diagram.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot1D.plot1D.lines_constant_radius">
<code class="sig-name descname">lines_constant_radius</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot1D.html#plot1D.lines_constant_radius"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot1D.plot1D.lines_constant_radius" title="Permalink to this definition">¶</a></dt>
<dd><p>Constant radius lines for the HR diagram.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot1D.plot1D.plot_panel">
<code class="sig-name descname">plot_panel</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">ax</span></em>, <em class="sig-param"><span class="n">i</span></em>, <em class="sig-param"><span class="n">y_var_str</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot1D.html#plot1D.plot_panel"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot1D.plot1D.plot_panel" title="Permalink to this definition">¶</a></dt>
<dd><p>Plot the 1D pannel.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ax</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><em>object</em></a>) – matplotlib figure axes.</p></li>
<li><p><strong>i</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.9)"><em>int</em></a>) – Index of the run to plot.</p></li>
<li><p><strong>y_var_str</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – String or list of stringvalues to plot on the y axis.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot1D.plot1D.set_color_bar">
<code class="sig-name descname">set_color_bar</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">scatter</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot1D.html#plot1D.set_color_bar"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot1D.plot1D.set_color_bar" title="Permalink to this definition">¶</a></dt>
<dd><p>Add colorbar.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>scatters</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><em>object</em></a>) – matplotlib scatter object.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot1D.plot1D.set_legend">
<code class="sig-name descname">set_legend</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">ax</span></em>, <em class="sig-param"><span class="n">lines</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot1D.html#plot1D.set_legend"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot1D.plot1D.set_legend" title="Permalink to this definition">¶</a></dt>
<dd><p>Add legend.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ax</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><em>object</em></a>) – matplotlib figure axes.</p></li>
<li><p><strong>lines</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><em>object</em></a>) – matplotlib lines object.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot1D.plot1D.set_title">
<code class="sig-name descname">set_title</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">fig</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot1D.html#plot1D.set_title"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot1D.plot1D.set_title" title="Permalink to this definition">¶</a></dt>
<dd><p>Add title.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>fig</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><em>object</em></a>) – matplotlib figure object.</p>
</dd>
</dl>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot1D.plot1D.set_xlabel">
<code class="sig-name descname">set_xlabel</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot1D.html#plot1D.set_xlabel"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot1D.plot1D.set_xlabel" title="Permalink to this definition">¶</a></dt>
<dd><p>Add x label.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot1D.plot1D.set_xlim">
<code class="sig-name descname">set_xlim</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot1D.html#plot1D.set_xlim"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot1D.plot1D.set_xlim" title="Permalink to this definition">¶</a></dt>
<dd><p>Set x axes limits.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot1D.plot1D.set_ylabel">
<code class="sig-name descname">set_ylabel</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">i</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot1D.html#plot1D.set_ylabel"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot1D.plot1D.set_ylabel" title="Permalink to this definition">¶</a></dt>
<dd><p>Add y label.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot1D.plot1D.set_ylim">
<code class="sig-name descname">set_ylim</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot1D.html#plot1D.set_ylim"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot1D.plot1D.set_ylim" title="Permalink to this definition">¶</a></dt>
<dd><p>Set y axes limits.</p>
</dd></dl>

<dl class="py method">
<dt id="posydon.visualization.plot1D.plot1D.update_values_to_plot">
<code class="sig-name descname">update_values_to_plot</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">y_var_str</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/plot1D.html#plot1D.update_values_to_plot"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.plot1D.plot1D.update_values_to_plot" title="Permalink to this definition">¶</a></dt>
<dd><p>Update all values to plot.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>y_var_str</strong> (<a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#str" title="(in Python v3.9)"><em>str</em></a>) – String or list of stringvalues to plot on the y axis.</p>
</dd>
</dl>
</dd></dl>

</dd></dl>



           </div>
           
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>